package org.seamframework.sql;

public class Column<X, T> {
	
	private final String name;
	private final Class<T> type;
	
	public Column(String name, Class<T> type) {
		this.name = name;
		this.type = type;
	}

	@Override
	public String toString() {
		return "Column [name=" + name + "]";
	}

	public String getName() {
		return name;
	}

	public Class<T> getType() {
		return type;
	}
	
	
}
